Bug 472077 - No icon on login screen to access boot warnings
No icon on login screen to access boot warnings
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-11-18 11:39 EST by Christopher Beland
Modified: 2014-03-16 23:16 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-01-16 01:26:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Christopher Beland 2008-11-18 11:39:57 EST
says that with Plymouth there is "a status icon on the login screen to view boot warnings".  I do not see such an icon (not holding down any keys), even though at least one of the services produces an orange WARNING status on startup. I do see the messages in /var/log/boot.log as promised.

This is with plymouth-0.6.0-0.2008.11.12.4.fc10.x86_64
Comment 1 Ray Strode [halfline] 2008-11-18 14:10:07 EST
Hi, we only seem to tell plymouth to show show the icon in the case of errors, not warnings.

Just needs an initscripts tweak to /etc/init.d/functions
Comment 2 Bill Nottingham 2008-11-18 14:17:32 EST
Hm, the only place we really have warnings in the stock initscripts is 'we fscked; it passed'. It's certainly doable, though.
Comment 3 Charlie Brej 2008-11-18 14:32:24 EST
The viewer program does have code to show in the bottom bar whether a warning or an error happened. Currently it is set to just show error (if the /var/log/boot.ini and the plymouth/boot.ini files are linked) or nothing.

We could parse the file (if it is linked) and determine if we want an error or a warning icon. I'm just not sure what keyword to trigger on and how general this would be.
Comment 4 Bill Nottingham 2008-11-18 14:41:09 EST
... I thought the veiwer was triggered on --details being passed to plymouth.
Comment 5 Ray Strode [halfline] 2008-11-18 15:10:41 EST
yea.  the history is the program used to actually scan the boot log looking for the word "[ FAILED ]" or "[ WARNING ]".  Before I merged it (it was a patch from Matthias) I got rid of that and just made it react to --details.
Comment 6 Bug Zapper 2008-11-26 00:33:58 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
Comment 7 Christopher Beland 2008-12-22 16:58:39 EST
This is working OK in F11 rawhide with plymouth-0.6.0-2.fc11.x86_64.

Note You need to log in before you can comment on or make changes to this bug.